Bug 57813 - Using tcpdump causes networking to fail (orinoco card)
Using tcpdump causes networking to fail (orinoco card)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-24 09:56 EST by Kambiz Aghaiepour
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 00:20:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kambiz Aghaiepour 2001-12-24 09:56:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
Running RHL 7.2 on Dell Latitude CPi 266 with 160MB ram. Wireless
networking with Lucent/Orinoco silver with Residential Gateway 1000.
Networking works fine until I run tcpdump for a short while. The failure is
not immediate, but takes less than 1 minute to manifest.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.In one window, run "ping otherhost"
2.In another window, run "tcpdump icmp"
3.For a little while, both windows show appropriate output. Then, without
cause and without any error messages what-so-ever, the laptop cannot see
the rest of the network. No ping, no nothing, no error messages (at least
none that I saw)

The system is up2date, i.e. running kernel-2.4.9-13, and registered in RHN
and running updated RPMs.

	

Actual Results:  In order to bring the laptop online again, I had to run:

  service pcmcia restart



Expected Results:  I wish using tcpdump wouldn't knock me off the air. :-)


Additional info:
Comment 1 Bill Nottingham 2005-01-28 00:19:57 EST
Apologies for the lack of response.

This is probably a bug with the kernel drivers. Please reopen if this
happens on a more current distribution.

Note You need to log in before you can comment on or make changes to this bug.